What you can do with the PPK setting

Introducing PPK

The Programmable Power Key (PPK), automatically turns on your computer and starts the specified software or document.

With some models, only when the computer is turned on, you can also specify several software or documents by using the special keys (Shift, Ctrl and Alt) simultaneously. Refer to your computer's User Guide to see whether your computer supports using special keys with the PPK .

Note

Since the number of PPKs and their locations depend on your computer, refer to your user guide for details.


Limitations on the PPK function

PPK Limitations

When you use the PPK function of the VAIO Action Setup, note the following limitations.

  • When you specify the software which uses external device such as a PC card, malfunction may occur because the system takes too much time to recognize the external device.

    In this case, set the time of "Length of time to display a message before launching" setting longer, or push the PPK after your system recognizes the external device.

  • When you make a dial-up connection to the Internet using the PPK function, you should choose "Hibernate" option in the "Post Processing" screen.

    By choosing this option, the system may forcibly cut off the connection if the server has trouble and the system cannot cut off the connection by the normal methods.


Application List

Assigning a PPK

To assign an application or document to a PPK:

  1. Click the PPK button in the VAIO Action Setup window.
  2. Click the Application List tab.
  3. Click the icon for the PPK you want to define.
  4. Follow the Select Application wizard instructions.
  5. Click Finish to activate your new settings.

The application icon, setting name, and information appear on the screen.


Advanced Setting

Changing advanced PPK settings

To change advanced PPK settings:

  1. Click the PPK button in the VAIO Action Setup window.
  2. Click the Advanced Setting tab.
  3. Modify any of the following settings:
    To define how long the startup message displays before the PPK starts the specified application, enter the number of seconds you want the message displayed in the Length of time to display a message before launching field.
  4. Click Apply to accept your changes.

Note

Closing the VAIO Action Setup window before clicking Apply cancels your changes.


Specifying the desired software

Using the Select Application wizard

You can use the Select Application wizard to specify which application or document your computer starts automatically. This process is also referred to as "registering" the application or document.

To use the Select Application wizard:

  1. Click a task (such as Recommended Setting or E-Mail) on the left side of the screen, or click Drag & Drop to drag and drop a document from the Windows desktop.
  2. Click the desired application or document in the tree display on the right side of the screen, or if you selected Drag & Drop in step 1, drag the desired document and release the button.
  3. Click Next.

    4. Notes
    If you selected E-Mail in step 1, select the Preset Script settings and click Next.

    • To specify a dialup network, check Dial-up connection and then select a connection from the list.
    • If you want your computer to go into an energy-saving mode after the preset script runs, check Set status after processing, and then select the energy mode.
    • If your computer has an information indicator, select a lamp status setting to indicate that a Preset Script has finished running, and then click Next.
  4. Select optional startup options, and then click Next.
    • To specify the working directory for the application, specify the desired folder.
    • To specify a command line option, enter it in the Command line option field.
  5. If you want your computer to go into an energy-saving mode after a Preset Script runs, check Set a power status for the computer to enter after Timer execution, select the mode, and then click Next.
  6. On the Application List tab, enter a name for your setup and any other relevant information.
  7. Click Finish to close the wizard close and register the application or document.

    8. Note
    You can confirm registration of the application or document on the Application List tab.